/*******************************************************************************
* File Name: Del_sigma_AMux.h
* Version 1.80
*
*  Description:
*    This file contains the constants and function prototypes for the Analog
*    Multiplexer User Module AMux.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUX_Del_sigma_AMux_H)
#define CY_AMUX_Del_sigma_AMux_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*        Function Prototypes
***************************************/

void Del_sigma_AMux_Start(void) ;
#define Del_sigma_AMux_Init() Del_sigma_AMux_Start()
void Del_sigma_AMux_FastSelect(uint8 channel) ;
/* The Stop, Select, Connect, Disconnect and DisconnectAll functions are declared elsewhere */
/* void Del_sigma_AMux_Stop(void); */
/* void Del_sigma_AMux_Select(uint8 channel); */
/* void Del_sigma_AMux_Connect(uint8 channel); */
/* void Del_sigma_AMux_Disconnect(uint8 channel); */
/* void Del_sigma_AMux_DisconnectAll(void) */


/***************************************
*         Parameter Constants
***************************************/

#define Del_sigma_AMux_CHANNELS  2u
#define Del_sigma_AMux_MUXTYPE   1
#define Del_sigma_AMux_ATMOSTONE 0

/***************************************
*             API Constants
***************************************/

#define Del_sigma_AMux_NULL_CHANNEL 0xFFu
#define Del_sigma_AMux_MUX_SINGLE   1
#define Del_sigma_AMux_MUX_DIFF     2


/***************************************
*        Conditional Functions
***************************************/

#if Del_sigma_AMux_MUXTYPE == Del_sigma_AMux_MUX_SINGLE
# if !Del_sigma_AMux_ATMOSTONE
#  define Del_sigma_AMux_Connect(channel) Del_sigma_AMux_Set(channel)
# endif
# define Del_sigma_AMux_Disconnect(channel) Del_sigma_AMux_Unset(channel)
#else
# if !Del_sigma_AMux_ATMOSTONE
void Del_sigma_AMux_Connect(uint8 channel) ;
# endif
void Del_sigma_AMux_Disconnect(uint8 channel) ;
#endif

#if Del_sigma_AMux_ATMOSTONE
# define Del_sigma_AMux_Stop() Del_sigma_AMux_DisconnectAll()
# define Del_sigma_AMux_Select(channel) Del_sigma_AMux_FastSelect(channel)
void Del_sigma_AMux_DisconnectAll(void) ;
#else
# define Del_sigma_AMux_Stop() Del_sigma_AMux_Start()
void Del_sigma_AMux_Select(uint8 channel) ;
# define Del_sigma_AMux_DisconnectAll() Del_sigma_AMux_Start()
#endif

#endif /* CY_AMUX_Del_sigma_AMux_H */


/* [] END OF FILE */
